> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateKycInformation

> 
The `updateKycInformation` API is used to modify previously submitted identity information for employees when changes are needed.

### What it does:

- Updates existing KYC data (address, phone number, personal details)
- Can update the remote work location for employees to ensure they receive the correct state tax filing
- Requires kyc to already have been added using the `addKycInformation` API

### ⚠️ Warnings:

- ssn cannot be changed when the employee is `Active` since they have passed KYB. To change an employee's ssn please contact support
- `userRemoteLocation` should only be provided if the employee is remote and works from a location which is not their home address



## OpenAPI

````yaml put /userOnboarding/updateKycInformation
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userOnboarding/updateKycInformation:
    put:
      tags: []
      summary: updateKycInformation
      description: >-

        The `updateKycInformation` API is used to modify previously submitted
        identity information for employees when changes are needed.


        ### What it does:


        - Updates existing KYC data (address, phone number, personal details)

        - Can update the remote work location for employees to ensure they
        receive the correct state tax filing

        - Requires kyc to already have been added using the `addKycInformation`
        API


        ### ⚠️ Warnings:


        - ssn cannot be changed when the employee is `Active` since they have
        passed KYB. To change an employee's ssn please contact support

        - `userRemoteLocation` should only be provided if the employee is remote
        and works from a location which is not their home address
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateKycInformation
                  example: updateKycInformation
                kycInformation:
                  type: object
                  properties:
                    userId:
                      type: string
                      format: uuid
                    ssn:
                      type: string
                      title: Must be 9 Digits
                      example: 987-89-4510
                    dateOfBirth:
                      type: string
                      maxLength: 10
                    address1:
                      type: string
                      maxLength: 40
                    address2:
                      type: string
                      maxLength: 40
                    city:
                      type: string
                    state:
                      type: string
                      title: Enum
                      maxLength: 2
                      enum:
                        - TX
                        - AK
                        - ND
                        - IL
                        - MA
                        - KS
                        - AS
                        - AL
                        - UT
                        - SD
                        - MI
                        - DC
                        - GA
                        - SC
                        - TN
                        - OK
                        - CO
                        - CA
                        - ME
                        - MO
                        - WY
                        - MD
                        - VT
                        - NM
                        - CT
                        - AZ
                        - WI
                        - VA
                        - WV
                        - NJ
                        - DE
                        - NC
                        - PR
                        - IN
                        - MT
                        - NH
                        - HI
                        - IA
                        - KY
                        - WA
                        - OH
                        - FL
                        - OR
                        - MP
                        - GU
                        - MN
                        - MS
                        - PA
                        - NE
                        - RI
                        - ID
                        - LA
                        - NY
                        - NV
                        - AR
                    zipcode:
                      type: string
                      title: Must be FIve or Nine Digits
                  required:
                    - userId
                employeeRemoteLocation:
                  type: object
                  properties:
                    address1:
                      type: string
                      maxLength: 40
                    address2:
                      type: string
                      maxLength: 40
                    city:
                      type: string
                      maxLength: 40
                    state:
                      type: string
                      title: Enum
                      maxLength: 2
                      enum:
                        - TX
                        - AK
                        - ND
                        - IL
                        - MA
                        - KS
                        - AS
                        - AL
                        - UT
                        - SD
                        - MI
                        - DC
                        - GA
                        - SC
                        - TN
                        - OK
                        - CO
                        - CA
                        - ME
                        - MO
                        - WY
                        - MD
                        - VT
                        - NM
                        - CT
                        - AZ
                        - WI
                        - VA
                        - WV
                        - NJ
                        - DE
                        - NC
                        - PR
                        - IN
                        - MT
                        - NH
                        - HI
                        - IA
                        - KY
                        - WA
                        - OH
                        - FL
                        - OR
                        - MP
                        - GU
                        - MN
                        - MS
                        - PA
                        - NE
                        - RI
                        - ID
                        - LA
                        - NY
                        - NV
                        - AR
                    zipcode:
                      type: string
                      title: Must be Five or NIne Digits
              required:
                - method
                - kycInformation
            example:
              method: updateKycInformation
              kycInformation:
                userId: e066e305-3816-4b06-8576-50d2502be436
                ssn: '789895512'
                dateOfBirth: '2000-01-01'
                address1: 650 Capitol Mall
                address2: ''
                city: e
                state: Sacramento
                zipcode: '95814'
              userRemoteLocation:
                address1: e
                address2: e
                city: e
                state: AZ
                zipcode: '50023'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  kycInformation:
                    type: object
                    properties:
                      userId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userId
                      - status
                    x--orders:
                      - kycInformationId
                      - status
                      - message
                x--orders:
                  - kycInformation
              examples:
                '1':
                  summary: Success
                  value:
                    kycInformation:
                      userIdId: e066e305-3816-4b06-8576-50d2502be436
                      status: Ready
                      message: The KYCInformation has been updated successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: SSN format is not valid
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````